BizKitHub
DocsAPI ReferenceEmailer/bff/emailer/list
getEmailerAdmin BFF

/bff/emailer/list

Returns a paginated list of email messages for the current organisation with optional filters.

EmailergetBffEmailerList

Parameters

6 query

Query parameters

· 6
pagestringOptional

Page number (1-based) for pagination.

Example1
limitstringOptional

Maximum items per page (1–500, default 50).

Example50
statusstringOptional

Filter by message status code.

Exampleexample_status
tagstringOptional

Filter by message tag.

Exampleexample_tag
emailToContactIdstringOptional

Filter by recipient contact external ID.

Exampleexample_emailToContactId
filterFulltextQuerystringOptional

Fulltext query — searches subject, body and sender/recipient name & email.

Exampleexample_filterFulltextQuery

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/emailer/list

get
curl -X GET "https://api.bizkithub.com/bff/emailer/list?page=1&limit=50&status=example_status&tag=example_tag&emailToContactId=example_emailToContactId&filterFulltextQuery=example_filterFulltextQuery" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key